import { Component, NgModule, OnInit } from '@angular/core';
import { ModalController, IonModal, IonHeader, IonToolbar, IonTitle, IonContent, IonList, IonItem, IonLabel, IonAvatar, IonButton, IonSegment, IonSegmentButton, IonSegmentContent, IonSegmentView, IonCardContent, IonCardTitle, IonCardHeader, IonCard, IonIcon, IonButtons, IonInput } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { airplane, bluetooth, call, wifi } from 'ionicons/icons';
import { CommonModule } from '@angular/common';
import { CloudObject, CloudQuery } from 'src/lib/ncloud';

import { Router } from '@angular/router';
addIcons({ airplane, bluetooth, call, wifi });
@Component({
  selector: 'page-my-health',
  templateUrl: './page-my-health.component.html',
  styleUrls: ['./page-my-health.component.scss'],
  standalone: true,
    imports: [
      IonHeader, IonToolbar, IonTitle, IonContent,
      IonLabel,IonItem,IonList,IonAvatar,CommonModule,IonButton,
      IonSegment, IonSegmentButton,
      IonSegmentContent,IonSegmentView,IonCardContent, IonCardTitle, IonCardHeader,IonCard,
      IonModal,IonIcon, IonButtons,IonInput
    ]
})
export class PageMyHealthComponent  implements OnInit {

  constructor(
    private router: Router
  ) { }

  ngOnInit() {}
  /**
   * 返回上一页
   */
  back:string = "<";

  backHome(){
    this.router.navigate(['/tabs/tab1']);
  }
}
